/*!
 * Sticky Kit Initializer
 * Copyright (c) 2016 Intense Visions, Inc.
 */

jQuery(function($) {
	$(window).load(function() {
		$('[data-sticky-kit=true]').each(function() {
			var $el = $(this);
			var options = {};
			var parent = $el.data('sticky-parent');
			var offsetTop = $el.data('sticky-offset-top');
			var stuckZIndex = $el.data('sticky-z-index');
			var originalZIndex = $el.css('z-index');

			if (parent !== null && parent.length > 0) {
				options.parent = parent;
			}

			if (offsetTop !== null) {
				options.offset_top = offsetTop;
			}

			if (originalZIndex === null) originalZIndex = 1;
			if (stuckZIndex === null) originalZIndex = 1;

			$el.stick_in_parent(options)
				.on("sticky_kit:stick", function(e) {
					$el.css('z-index', stuckZIndex);
				})
				.on("sticky_kit:unstick", function(e) {
					$el.css('z-index', originalZIndex);
				});
		});
	});
});