<?php

if(!class_exists('Intense_Post_Type_Menu_Items')) {
	class Intense_Post_Type_Menu_Items extends Intense_Post_Type {
		function __construct() {
	    	
	    	$name_singular = ( isset( Intense()->options['intense_cpt_menu_items_singular'] ) ? Intense()->options['intense_cpt_menu_items_singular'] : __( 'Menu', 'intense' ) );    
	    	$name_plural = ( isset( Intense()->options['intense_cpt_menu_items_plural'] ) ? Intense()->options['intense_cpt_menu_items_plural'] : __( 'Menu', 'intense' ) );
	    
	    	$this->type = 'intense_menu_items';
	    	$this->title = 'Enter ' . $name_singular . ' Title';
			$this->singular = $name_singular;
			$this->plural = $name_plural;
		    $this->icon = 'dashicons-intense-food';
		    $this->category_taxonomy_key = 'intense_menu_items_category';
	    	$this->hierarchical = true;
		    $this->taxonomies = '';
		    $this->fields = array(
				array (
					'key' => 'field_5gt6r54imbq4r19',
					'label' => __( 'Single Post Template', "intense" ),
					'name' => 'intense_menu_items_single_template',
					'type' => 'select',
					'choices' => array_merge(
						array( '' => '' ),
						intense_locate_available_plugin_templates('/custom-post/intense_menu_items/single/'),
						intense_locate_single_cpt_templates( 'menu_items', true )
					),
					'default_value' => '',
					'allow_null' => 0,
					'multiple' => 0,
				),
				array (
					'key' => 'field_52f6d5nh583hyq',
					'label' => __( 'Brief Description', "intense" ),
					'name' => 'intense_menu_items_description',
					'type' => 'text',
					'default_value' => '',
					'placeholder' => '',
					'prepend' => '',
					'append' => '',
					'formatting' => 'html',
				),
				array (
					'key' => 'field_52e0agh6578ku',
					'label' => __( 'Price(s)', "intense" ),
					'name' => 'intense_menu_items_prices',
					'type' => 'repeater',
					'sub_fields' => array (
						array (
							'key' => 'field_52e0apl7823htr',
							'label' => __( 'Description', "intense" ),
							'name' => 'intense_menu_items_description',
							'type' => 'text',
							'column_width' => 70,
							'default_value' => '',
							'placeholder' => __( 'Small, Medium, Large, 8oz, 12oz, 1/2 rack, full rack', "intense" ),
							'prepend' => '',
							'append' => '',
							'formatting' => 'html',
							'maxlength' => '',
						),
						array (
							'key' => 'field_52e0a2084jwq23',
							'label' => __( 'Price', "intense" ),
							'name' => 'intense_menu_items_price',
							'type' => 'text',
							'column_width' => 30,
							'default_value' => '',
							'placeholder' => __( '$4.00, $15.95, £3, €6', "intense" ),
							'prepend' => '',
							'append' => '',
							'formatting' => 'html',
							'maxlength' => '',
						),
					),
					'row_min' => '',
					'row_limit' => '',
					'layout' => 'table',
					'button_label' => __( 'Add Price', "intense" ),
				),
		    );
		}
	}
}
