<?php

/**
 * Autoload the different Intense classes as needed
 */
spl_autoload_register(function ($class) {
    
    if ( isset( Intense()->shortcode_list[ $class ] ) ) {
        include Intense()->shortcode_list[ $class ]['path'];
    } else if ( isset( Intense()->post_type_list[ $class ] ) ) {
        include Intense()->post_type_list[ $class ]['path'];
    } else if ( isset( Intense()->widget_list[ $class ] ) ) {
        include Intense()->widget_list[ $class ]['path'];
    }
    
});

/**
 * Returns a function that can be used to call the shortcode
 * @param  string $shortcode the shortcode name
 * @return function            a closure function that can be called to run the shortcode
 */
function intense_get_shortcode_closure( $shortcode ) {
    $function = new WrappedClosure( function( $atts, $content ) use ( $shortcode ) {
        return intense_run_shortcode( $shortcode, $atts, $content );
    } );

    return $function;
}