<?php

/**
 * In version 2.3.0 the shortcode CSS options were changed to be dynamic. Some of the old
 * options keys changed because the previous ones were manual and not all of them match up
 * to the new dynamic options. This migration will map the old to the new. The following are
 * the old shortcode CSS option keys and the new keys they are mapped to.
 *
 * old: posts
 * new: 
 *  blog
 *  books
 *  clients
 *  coupons
 *  custom_post
 *  events
 *  jobs
 *  locations
 *  movies
 *  news
 *  pages
 *  portfolio
 *  project
 *  quotes
 *  recipes
 *  team
 *  testimonials
 *  recent_books
 *  recent_clients
 *  recent_coupons
 *  recent_events
 *  recent_jobs
 *  recent_locations
 *  recent_movies
 *  recent_news
 *  recent_pages
 *  recent_portfolios
 *  recent_posts
 *  recent_projects
 *  recent_quotes
 *  recent_recipes
 *  recent_team
 *  recent_tesimonials
 *
 * old: image
 * new:
 *  image
 *  gallery
 *
 * old: layout
 * new: 
 *  row
 *
 * old: promo
 * new: 
 *  promo_box
 *
 * old: testimony
 * new:
 *  testimonies 
 */
class Intense_Migration_2_2_2 extends Intense_Migration {
	public function up(){
		parent::up();

		Intense()->options = get_option( 'intense_visions_options' );

		if ( isset( Intense()->options['intense_shortcode_css']['posts'] ) && Intense()->options['intense_shortcode_css']['posts'] ) {
			Intense()->options['intense_shortcode_css']['blog'] = 1;
			Intense()->options['intense_shortcode_css']['books'] = 1;
			Intense()->options['intense_shortcode_css']['clients'] = 1;
			Intense()->options['intense_shortcode_css']['coupons'] = 1;
			Intense()->options['intense_shortcode_css']['custom_post'] = 1;
			Intense()->options['intense_shortcode_css']['events'] = 1;
			Intense()->options['intense_shortcode_css']['jobs'] = 1;
			Intense()->options['intense_shortcode_css']['locations'] = 1;
			Intense()->options['intense_shortcode_css']['movies'] = 1;
			Intense()->options['intense_shortcode_css']['news'] = 1;
			Intense()->options['intense_shortcode_css']['pages'] = 1;
			Intense()->options['intense_shortcode_css']['portfolio'] = 1;
			Intense()->options['intense_shortcode_css']['project'] = 1;
			Intense()->options['intense_shortcode_css']['quotes'] = 1;
			Intense()->options['intense_shortcode_css']['recipes'] = 1;
			Intense()->options['intense_shortcode_css']['team'] = 1;
			Intense()->options['intense_shortcode_css']['testimonials'] = 1;
			Intense()->options['intense_shortcode_css']['recent_books'] = 1;
			Intense()->options['intense_shortcode_css']['recent_clients'] = 1;
			Intense()->options['intense_shortcode_css']['recent_coupons'] = 1;
			Intense()->options['intense_shortcode_css']['recent_events'] = 1;
			Intense()->options['intense_shortcode_css']['recent_jobs'] = 1;
			Intense()->options['intense_shortcode_css']['recent_locations'] = 1;
			Intense()->options['intense_shortcode_css']['recent_movies'] = 1;
			Intense()->options['intense_shortcode_css']['recent_news'] = 1;
			Intense()->options['intense_shortcode_css']['recent_pages'] = 1;
			Intense()->options['intense_shortcode_css']['recent_portfolios'] = 1;
			Intense()->options['intense_shortcode_css']['recent_posts'] = 1;
			Intense()->options['intense_shortcode_css']['recent_projects'] = 1;
			Intense()->options['intense_shortcode_css']['recent_quotes'] = 1;
			Intense()->options['intense_shortcode_css']['recent_recipes'] = 1;
			Intense()->options['intense_shortcode_css']['recent_team'] = 1;
			Intense()->options['intense_shortcode_css']['recent_tesimonials'] = 1;
		}

		if ( isset( Intense()->options['intense_shortcode_css']['image'] ) && Intense()->options['intense_shortcode_css']['image'] ) {
			Intense()->options['intense_shortcode_css']['gallery'] = 1;
		}

		if ( isset( Intense()->options['intense_shortcode_css']['layout'] ) && Intense()->options['intense_shortcode_css']['layout'] ) {
			Intense()->options['intense_shortcode_css']['row'] = 1;
		}

		if ( isset( Intense()->options['intense_shortcode_css']['promo'] ) && Intense()->options['intense_shortcode_css']['promo'] ) {
			Intense()->options['intense_shortcode_css']['promo_box'] = 1;
		}

		if ( isset( Intense()->options['intense_shortcode_css']['testimony'] ) && Intense()->options['intense_shortcode_css']['testimony'] ) {
			Intense()->options['intense_shortcode_css']['testimonies'] = 1;
		}

		update_option( 'intense_visions_options', Intense()->options );
	}

	public function down() {
		parent::down();

		Intense()->options = get_option( 'intense_visions_options' );

		if (!empty( Intense()->options['intense_shortcode_css']['blog'] ) ||
			!empty( Intense()->options['intense_shortcode_css']['books'] ) ||
			!empty( Intense()->options['intense_shortcode_css']['clients'] ) ||
			!empty( Intense()->options['intense_shortcode_css']['coupons'] ) ||
			!empty( Intense()->options['intense_shortcode_css']['custom_post'] ) ||
			!empty( Intense()->options['intense_shortcode_css']['events'] ) ||
			!empty( Intense()->options['intense_shortcode_css']['jobs'] ) ||
			!empty( Intense()->options['intense_shortcode_css']['locations'] ) ||
			!empty( Intense()->options['intense_shortcode_css']['movies'] ) ||
			!empty( Intense()->options['intense_shortcode_css']['news'] ) ||
			!empty( Intense()->options['intense_shortcode_css']['pages'] ) ||
			!empty( Intense()->options['intense_shortcode_css']['portfolio'] ) ||
			!empty( Intense()->options['intense_shortcode_css']['project'] ) ||
			!empty( Intense()->options['intense_shortcode_css']['quotes'] ) ||
			!empty( Intense()->options['intense_shortcode_css']['recipes'] ) ||
			!empty( Intense()->options['intense_shortcode_css']['team'] ) ||
			!empty( Intense()->options['intense_shortcode_css']['testimonials'] ) ||
			!empty( Intense()->options['intense_shortcode_css']['recent_books'] ) ||
			!empty( Intense()->options['intense_shortcode_css']['recent_clients'] ) ||
			!empty( Intense()->options['intense_shortcode_css']['recent_coupons'] ) ||
			!empty( Intense()->options['intense_shortcode_css']['recent_events'] ) ||
			!empty( Intense()->options['intense_shortcode_css']['recent_jobs'] ) ||
			!empty( Intense()->options['intense_shortcode_css']['recent_locations'] ) ||
			!empty( Intense()->options['intense_shortcode_css']['recent_movies'] ) ||
			!empty( Intense()->options['intense_shortcode_css']['recent_news'] ) ||
			!empty( Intense()->options['intense_shortcode_css']['recent_pages'] ) ||
			!empty( Intense()->options['intense_shortcode_css']['recent_portfolios'] ) ||
			!empty( Intense()->options['intense_shortcode_css']['recent_posts'] ) ||
			!empty( Intense()->options['intense_shortcode_css']['recent_projects'] ) ||
			!empty( Intense()->options['intense_shortcode_css']['recent_quotes'] ) ||
			!empty( Intense()->options['intense_shortcode_css']['recent_recipes'] ) ||
			!empty( Intense()->options['intense_shortcode_css']['recent_team'] ) ||
			!empty( Intense()->options['intense_shortcode_css']['recent_tesimonials'] ) ) {

			Intense()->options['intense_shortcode_css']['posts'] = 1;
		}

		if ( isset( Intense()->options['intense_shortcode_css']['image'] ) && Intense()->options['intense_shortcode_css']['image'] ) {
			Intense()->options['intense_shortcode_css']['gallery'] = 1;
		}

		if ( isset( Intense()->options['intense_shortcode_css']['row'] ) && Intense()->options['intense_shortcode_css']['row'] ) {
			Intense()->options['intense_shortcode_css']['layout'] = 1;
		}

		if ( isset( Intense()->options['intense_shortcode_css']['promo_box'] ) && Intense()->options['intense_shortcode_css']['promo_box'] ) {
			Intense()->options['intense_shortcode_css']['promo'] = 1;
		}

		if ( isset( Intense()->options['intense_shortcode_css']['testimonies'] ) && Intense()->options['intense_shortcode_css']['testimonies'] ) {
			Intense()->options['intense_shortcode_css']['testimony'] = 1;
		}

		update_option( 'intense_visions_options', Intense()->options );
	}
}