<?php

$this->sections['Extras'] = array(
	'title' => __( 'Extras', 'intense' ),
	'icon' => 'el-icon-asterisk',
	'icon_class' => 'icon-large',
	'fields' => array(	
		array(
			'id'=>'intense_lazy_load',
			'type' => 'switch',
			'title' => __( "Lazy Load Content", "intense" ),
			'desc' => __( "Load images and videos as needed. Some examples of affected items include the image, gallery, video, and content section shortcodes.", "intense" ),
			'default' => 1,
		),
		array(
			'id'=>'intense_html5_shiv',
			'type' => 'switch',
			'title' => __( "HTML5 Shiv", "intense" ),
			'desc' => wp_kses( __( "Include the HTML5 Shiv JavaScript library to add HTML5 support in Internet Explorer 8 and older. This may not be needed if the theme includes the HTML5 Shiv. For more information, see <a href='http://en.wikipedia.org/wiki/HTML5_Shiv'>HTML5 Shiv</a>", "intense" ), array( 'a' => array( 'href' => array() ) ) ),
			'default' => 0,
		),	
		array(
			'id'=>'intense_redux',
			'type' => 'switch',
			'title' => __( "Include Redux Framework Plugin", "intense" ),
			'desc' => __( "This plugin is required for Intense. Toggle this field if you want to turn on or off the inclusion of the Redux Framework plugin. If you have Redux Framework already installed, you can turn this off. Turning this off and not having the plugin installed will cause you to not be able to get to the admin options. Be very cautious about turning this option off.", "intense" ),
			'default' => 1,
		),
		array(
			'id'=>'intense_show_acf',
			'type' => 'switch',
			'title' => __( "ACF/Custom Fields Menu Item", "intense" ),
			'desc' => __( "Toggle this field if you want to turn on or off the ACF/Custom Fields menu item.", "intense" ),
			'default' => 0,
		),		
		array(
			'id'=>'intense_custom_css',
			'type' => 'ace_editor',
			'title' => __( 'CSS Code', 'intense' ),
			'subtitle' => __( 'Paste your CSS code here.', 'intense' ),
			'mode' => 'css',
			'theme' => 'monokai',
			'desc' => 'Custom CSS used to override the default CSS',
			'default' => ""
		),
		array(
			'id'=>'intense_tracking_code',
			'type' => 'ace_editor',
			'title' => __( 'Tracking Code', 'intense' ),
			'subtitle' => __( 'Paste your Google Analytics (or other) tracking code here. This will be added just before the closing body tag. Include any necessary script or html tags.', 'intense' ),
			'mode' => 'html',
		), 
		array(
			'id'=>'intense_tracking_roles',
			'type' => 'checkbox',
			'title' => __( 'Do Not Track', 'intense' ),
			'subtitle' => __( 'These user roles will not include the tracking code. This can be used to prevent tracking actions made by site maintainers.', 'intense' ),
			'options' => intense_is_settings_page() ? Intense_Options::get_roles_option_names() : null,
			'default' => array( 'administrator' => 1, 'editor' => 1, 'author' => 1, 'contributor' => 1)
		),
		array(
			'id'=>'intense_head_code',
			'type' => 'ace_editor',
			'title' => __( 'Closing &lt;/head&gt; Code', 'intense' ),
			'subtitle' => __( 'Custom code to add before the closing &lt;/head&gt; tag. It will be added as-is and should include any necessary script or html tags.', 'intense' ),
			'mode' => 'html',
		), array(
			'id'=>'intense_body_code',
			'type' => 'ace_editor',
			'title' => __( 'Closing &lt;/body&gt; Code', 'intense' ),
			'subtitle' => __( 'Custom code to add before the closing &lt;/body&gt; tag. It will be added as-is and should include any necessary script or html tags.', 'intense' ),
			'theme' => 'monokai',
			'mode' => 'html',
		),
		array(
			'id'=>'intense_show_admin_bar',
			'type' => 'switch',
			'title' => __( "Display Admin Bar Based on Role", "intense" ),
			'desc' => __( "Control the display of the admin bar based on the user role.", "intense" ),
			'default' => 0,
		),
		array(
			'id'=>'intense_admin_bar_roles',
			'type' => 'checkbox',
			'title' => __( 'Admin Bar Roles', 'intense' ),
			'subtitle' => __( 'These user roles can see the admin bar.', 'intense' ),
			'options' => intense_is_settings_page() ? Intense_Options::get_roles_option_names() : null,
			'required' => array( 'intense_show_admin_bar', '=', '1' ),
			'default' => array( 'administrator' => 1, 'editor' => 1, 'author' => 1, 'contributor' => 1, 'subscriber' => 0 )
		),
		array(
			'id'=>'intense_cache_clear',
			'type' => 'switch',
			'title' => __( "Clear Cache on Save", "intense" ),
			'desc' => __( "Clear the cache when the settings are saved.", "intense" ),
			'default' => 1,
		),
		array(
			'id'        => 'opt-custom-callback',
			'type'      => 'callback',
			'title'     => '',
			'callback'  => 'intense_cache_field'
		),
	)
);

if ( !function_exists( 'intense_cache_field' ) ):
	function intense_cache_field( $field, $value ) {
		if ( intense_is_settings_page() ) {
			global $intense_skins;

			$ajax_nonce = wp_create_nonce( "intense-plugin-noonce" );
			
	?>
			<div class="redux-field-container redux-field-container"><button class="button clear-cache"><?php esc_html_e('Clear Cache Manually', 'intense'); ?></button></div>

			<script>
				(function ($) {
					function intenseStartAction() {
						intenseEndAction();
						$('.clear-cache').attr('disabled', 'disabled').html('<?php esc_html_e('Clear Cache Manually', 'intense'); ?> <i class="progress dashicons-before dashicons-update">');
					}

					function intenseEndAction() {
						$('.dashicons-update').remove();
						$('.clear-cache').removeAttr('disabled');
					}

					intenseClearCache = function(e) {
						var $ = jQuery.noConflict();

						e.preventDefault();	    		
			    		
						$.ajax({
							type: 'POST',
							cache: false,
							url: ajaxurl + '?action=intense_clear_cache_action',
							data: {							
								security: '<?php echo $ajax_nonce; ?>'
							},
							beforeSend: function() {							
								intenseStartAction();
							},
							success: function(data) {
								//$skinEditor.html(data);
								intenseEndAction();
								//$('.intense.skin-shortcode-list li').click(intenseEditShortcode);
							},
							dataType: 'JSON'
						});
					}

					$('.clear-cache').click(intenseClearCache);
				})(jQuery);
			</script>
		<?php
		}
	}
endif;

if ( !function_exists( 'intense_clear_cache_action' ) ):

add_action( 'wp_ajax_intense_clear_cache_action', 'intense_clear_cache_action' );
function intense_clear_cache_action() {

	check_ajax_referer( 'intense-plugin-noonce', 'security' );

	//check permissions
	if ( ! current_user_can( 'install_plugins' ) ) {
		die( __( 'You are not allowed to be here', 'intense' ) );
	}

	Intense()->clear_cache();

	return json_encode(true);
	die();
}

endif;
