<?php
/**
 * Functions related to sticky kit compatible shortcodes
 */

function intense_get_sticky_attributes( $sticky = false, $sticky_parent = null, $sticky_offset = null, $sticky_zindex = null ) {	
	if ( $sticky ) {		
		$attributes = array( 'data-sticky-kit="true"' );
		intense_add_script( 'sticky-kit' );
		intense_add_script( 'intense.sticky-kit' );

		if ( is_admin_bar_showing() && is_numeric( $sticky_offset ) ) {
			$sticky_offset += 32;
		} else if ( is_admin_bar_showing() && empty( $sticky_offset ) ) {
			$sticky_offset = 32;
		}

		if ( isset( $sticky_parent ) ) $attributes[] = 'data-sticky-parent="' . esc_attr( $sticky_parent ) . '"';
		if ( isset( $sticky_offset ) ) $attributes[] = 'data-sticky-offset-top="' . esc_attr( $sticky_offset ) . '"';
		if ( isset( $sticky_zindex ) ) $attributes[] = 'data-sticky-z-index="' . esc_attr( $sticky_zindex ) . '"';

		return " " . implode( " ", $attributes );
	}

	return '';
}
