<?php

class Intense_Blur extends Intense_Shortcode {

	function __construct() {
		parent::__construct();

		$this->title = __( 'Blur', 'intense' );
		$this->description = __( 'Use the blur shortcode to blur an element on hover (does not work for all elements).', 'intense' );
		$this->category = __( 'Elements', 'intense' );
        $this->show_preview = true;
        $this->preview_content = __( "Blur Text", 'intense' );
        $this->vc_map_content = 'textfield';  
	}

	function shortcode( $atts, $content = null ) {
		extract( shortcode_atts( $this->get_shortcode_defaults( null, $atts ), $atts ) );

		$output = '';
		$random = rand();

        $id = ( !empty ( $id ) ) ? ' id="' . esc_attr( $id ) . '"' : '';

        if ( !empty ( $id ) ) {
        	$css_id = esc_attr( $id );
        } else {
        	$css_id = 'blur_' . $random;
        }

        if ( is_numeric( $blur ) ) $blur .= "px";
        if ( is_numeric( $time ) ) $time .= "ms";

        Intense()->add_dynamic_css( '#' . $css_id, "
            #" . $css_id . " {
        		cursor: " . $cursor . ";
        		-webkit-transition: " . $time . ";
				transition: " . $time . ";
    		}
            #" . $css_id . ":hover {
        		filter: blur(" . $blur . ");
    			-webkit-filter: blur(" . $blur . ");
    		}
        ");

        $output = '<' . $element . ' id="' . $css_id . '" class="' . ( !empty( $class ) ? esc_attr( $class ) : '' ) . '">' . do_shortcode( $content ) . '</' . $element . '>';
	
		return $output;
	}
}
