<?php

class Intense_Cards extends Intense_Shortcode {

    function __construct() {
        parent::__construct();

        $this->title = __( 'Cards', 'intense' );
        $this->description = __( 'The cards shortcode can be used to put content in a box on your WordPress website. Because of its many options, it can also be used as a general layout element for page building.', 'intense' );
        $this->category = __( 'Layout', 'intense' );
        $this->show_preview = true;
        $this->preview_content = __( "Card Content", 'intense' );
        $this->is_container = true;
        $this->parent = 'intense_cards';
    }

    function shortcode( $atts, $content = null ) {
        extract( shortcode_atts( $this->get_shortcode_defaults( null, $atts ), $atts ) );

        intense_add_script( 'intense.card' );

        $output = '';

        if ( !isset( $id ) ) $id = 'card_' . rand();

        $output .= '<style>';

        if (!empty( $columns_mobile ) ) {
            $output .= '#' . $id . ' { column-count: ' . $columns_mobile . '; }';
        }
        if (!empty( $columns_tablet ) ) {
            $output .= '@media (min-width: 576px) { #' . $id . ' { column-count: ' . $columns_tablet . '; } } ';
        }
        if (!empty( $columns_desktop_small ) ) {
            $output .= '@media (min-width: 992px) { #' . $id . ' { column-count: ' . $columns_desktop_small . '; } } ';
        }
        if (!empty( $columns_desktop ) ) {
            $output .= '@media (min-width: 1200px) { #' . $id . ' { column-count: ' . $columns_desktop . '; } } ';
        }

        if (!empty( $min_width ) ) {
            if ( is_numeric( $min_width ) ) $min_width .= "px";
            $output .= '#' . $id . ' .card { min-width: ' . $min_width . '; }';
        }
        if (!empty( $max_width ) ) {
            if ( is_numeric( $max_width ) ) $max_width .= "px";
            $output .= '#' . $id . ' .card { max-width: ' . $max_width . '; }';
        }

        $output .= '</style>';

        $id = ( !empty ( $id ) ) ? ' id="' . esc_attr( $id ) . '"' : '';

        $output .= 
        "<div" . $id . " class='intense cards card-" . $layout .  ( !empty( $class ) ? ' ' . esc_attr( $class ) : '' ) . ( is_rtl() ? " rtl" : "" ) . "'>" .
            do_shortcode( $content ) .
        "</div>";

        return $output;
    }

}
