<?php

$this->fields = array(
	'content_box_tab' => array(
		'type' => 'tab',
		'title' => __( 'General', 'intense' ),
		'fields' =>  array(
			'id' => array(
				'type' => 'text',
				'title' => __( 'ID', 'intense' ),
				'description' => __( 'optional - used to set the client-side ID', 'intense' ),
				'skinnable' => false
			),
			'title' => array(
				'type' => 'text',
				'title' => __( 'Title', 'intense' ),
				'skinnable' => false,
				'toolset' => true
			),
			'title_tag' => array( 
				'type' => 'dropdown',
				'title' => __( 'Title Tag', 'intense' ),
				'options' => array(
					'h1' => 'h1',
					'h2' => 'h2',
					'h3' => 'h3',
					'h4' => 'h4',
					'h5' => 'h5',
					'h6' => 'h6',
					'div' => 'div'
				),
				'default' => 'h2'
			),
			'boxed' => array(
				'type' => 'checkbox',
				'title' => __( 'Boxed', 'intense' ),
				'default' => 1,
			),
			'shadow' => array(
				'type' => 'shadow',
				'title' => __( 'Shadow', 'intense' ),
			),
			'background' => array(
				'type' => 'color_advanced',
				'title' => __( 'Background Color', 'intense' ),
				'default' => Intense()->options['intense_boxed_color'],
				'skinnable' => false,
				'toolset' => true
			),
			'background_opacity' => array(
				'type' => 'text',
				'title' => __( 'Background Opacity', 'intense' ),
				'description' => __( '0 - 100: leave blank for solid color', 'intense' )
			),
			'link' => array(
				'type' => 'text',
				'title' => __( 'Link', 'intense' ),
				'description' => __( 'The title can be the link or the "Link Text" will show in the bottom right corner. URL, post ID, or page ID to direct the user to when clicked', 'intense' ),
				'skinnable' => false,
				'toolset' => true
			),
			'link_target' => array(
				'type' => 'link_target',
				'title' => __( 'Link Target', 'intense' ),
			),
			'link_type' => array(
				'type' => 'dropdown',
				'title' => __( 'Link Type', 'intense' ),
				'description' => __( 'this allows you to select what is used as the link, if one is provided', 'intense' ),
				'default' => 'link_text',
				'options' => array(
					'link_text' => 'Link Text',
					'title' => 'Title'
				)
			),
			'link_rel' => array(
				'type' => 'rel',
				'title' => __( 'Link Rel', 'intense' ),
			),
			'link_text' => array(
				'type' => 'text',
				'title' => __( 'Link Text', 'intense' ),
				'description' => __( 'default if a link is provided: Learn More >', 'intense' ),
				'skinnable' => false,
				'toolset' => true
			),
			'width' => array(
				'type' => 'text',
				'title' => __( 'Width', 'intense' ),
				'description' => __( 'measured as a % or px amount', 'intense' ),
				'default' => '100%'
			),
			'class' => array(
				'type' => 'text',
				'title' => __( 'CSS Class', 'intense' ),
			)
		)
	),
	'icon_tab' => array(
		'type' => 'tab',
		'title' => __( 'Icon', 'intense' ),
		'fields' =>  array(
			'show_icon' => array(
				'type' => 'checkbox',
				'title' => __( 'Show Icon', 'intense' ),
				'default' => '1',
			),
			'icon_source' => array(
				'type' => 'icon_source',
				'title' => __( 'Icon Source', 'intense' ),
				'default' => 'font-awesome',
			),
			'icon' => array(
				'type' => 'icon',
				'title' => __( 'Icon', 'intense' ),
				'default' => 'asterisk',
			),
			'icon_color' => array(
				'type' => 'color_advanced',
				'title' => __( 'Color', 'intense' ),
				'default' => '#ffffff'
			),
			'icon_stack_source' => array(
				'type' => 'icon_source',
				'title' => __( 'Stack Icon Source', 'intense' ),
				'default' => 'font-awesome',
			),
			'icon_stack_type' => array(
				'type' => 'icon',
				'title' => __( 'Stack Icon', 'intense' ),
				'default' => 'circle',
			),
			'icon_stack_color' => array(
				'type' => 'color_advanced',
				'title' => __( 'Stack Icon Color', 'intense' ),
				'default' => Intense()->options['intense_icon_color'],
				'skinnable' => false
			),
			'size' => array(
				'type' => 'dropdown',
				'title' => __( 'Icon Size', 'intense' ),
				'default' => '3',
				'options' => array(
					'1' => '1',
					'2' => '2',
					'3' => '3',
					'4' => '4',
					'5' => '5'
				)
			),
			'custom_icon' => array(
				'type' => 'image',
				'title' => __( 'Custom Icon', 'intense' ),
			),
			'position' => array(
				'type' => 'dropdown',
				'title' => __( 'Position', 'intense' ),
				'default' => 'topcenter',
				'options' => array(
					'topcenter' => __( 'Top Center', 'intense' ),
					'topright' => __( 'Top Right', 'intense' ),
					'topleft' => __( 'Top Left', 'intense' ),
					'bottomcenter' => __( 'Bottom Center', 'intense' ),
					'bottomright' => __( 'Bottom Right', 'intense' ),
					'bottomleft' => __( 'Bottom Left', 'intense' ),
					'inside' => __( 'Inside', 'intense' ),
					'insidetop' => __( 'Inside Top', 'intense' ),
					'insidebottom' => __( 'Inside Bottom', 'intense' ),
				)
			),
			'animation' => array(
				'type' => 'animation',
				'title' => __( 'Icon Animation', 'intense' ),
				'placeholder' => __( 'Select an animation', 'intense' ),
			),
		)
	),
	'border_tab' => array(
		'type' => 'tab',
		'title' => __( 'Border', 'intense' ),
		'fields' =>  array(
			'border_size' => array(
				'type' => 'text',
				'title' => __( 'Border Size', 'intense' ),
				'description' => 'measured in pixels',
				'default' => Intense()->options['intense_content_box_style']['border-top'],
				'skinnable' => false
			),
			'border_color' => array(
				'type' => 'color_advanced',
				'title' => __( 'Border Color', 'intense' ),
				'default' => Intense()->options['intense_content_box_style']['border-color'],
				'skinnable' => false
			),
			'border_style' => array(
				'type' => 'border_style',
				'title' => __( 'Border Style', 'intense' ),
				'default' => Intense()->options['intense_content_box_style']['border-style'],
				'skinnable' => false
			),
			'border_radius' => array(
				'type' => 'border_radius',
				'title' => __( 'Border Radius', 'intense' ),
			),
		)
	),
	'layout_tab' => array(
		'type' => 'tab',
		'title' => __( 'Layout', 'intense' ),
		'fields' =>  array(
			'margin_top' => array(
				'type' => 'text',
				'title' => __( 'Margin Top', 'intense' ),				
			),
			'margin_bottom' => array(
				'type' => 'text',
				'title' => __( 'Margin Bottom', 'intense' )
			),
			'margin_left' => array(
				'type' => 'text',
				'title' => __( 'Margin Left', 'intense' ),
			),
			'margin_right' => array(
				'type' => 'text',
				'title' => __( 'Margin Right', 'intense' ),
			),
			'padding_top' => array(
				'type' => 'text',
				'title' => __( 'Padding Top', 'intense' ),
			),
			'padding_bottom' => array(
				'type' => 'text',
				'title' => __( 'Padding Bottom', 'intense' ),
			),
			'padding_left' => array(
				'type' => 'text',
				'title' => __( 'Padding Left', 'intense' ),
			),
			'padding_right' => array(
				'type' => 'text',
				'title' => __( 'Padding Right', 'intense' ),
			),
		)
	),
);
