<?php

class Intense_Hide extends Intense_Shortcode {

	function __construct() {
		parent::__construct();

		$this->title = __( 'Hide', 'intense' );
		$this->description = __( 'Use the hide shortcode to prevent content from being shown to the user.', 'intense' );
		$this->category = __( 'Layout', 'intense' );
		$this->show_preview = false;
		$this->is_container = true;
	}

	function shortcode( $atts, $content = null ) {
		
		extract( shortcode_atts( $this->get_shortcode_defaults( null, $atts ), $atts ) );

		switch ($mode) {
			case 'comment':
				return '<!--' . do_shortcode( $content ) . '-->';
				break;
			case 'hidden':
				return '<div class="hide">' . do_shortcode( $content ) . '</div>';
				break;
			case 'invisible':
				return '<div class="invisible">' . do_shortcode( $content ) . '</div>';
				break;
			default:
				return;
		}
	}
}
