<?php

class Intense_Icon_List extends Intense_Shortcode {

  function __construct() {
    parent::__construct();

    $this->title = __( 'Icon List', 'intense' );
    $this->description = __( 'Use the icon list shortcode to add extra style to your lists. Control the color and size of the icon for each item.', 'intense' );
    $this->category = __( 'Layout', 'intense' );
    $this->show_preview = true;
    $this->is_container = true;
  }

  function shortcode( $atts, $content = null ) {
    
    extract( shortcode_atts( $this->get_shortcode_defaults( null, $atts ), $atts ) );

    $id = ( !empty ( $id ) ) ? " id='" . $id . "'" : "";

    $output = "<ul" . $id . " class='intense icons-ul" . ( !empty( $class ) ? " " . $class : "" ) . ( is_rtl() ? " rtl" : "" ) . "'>";
    
    if ( $mode != 'inline' ) {
      $output .= do_shortcode( $content );
    } else {
      // Remove leading and trailing <ul></ul> tags
      $content = rtrim( trim( $content ) );
      if ( strtolower( substr( $content, 0, 4 ) ) == '<ul>'  ) $content = substr( $content, 4 );
      if ( strtolower( substr( $content, -5 ) ) == '</ul>' ) $content = substr( $content, 0, strlen( $content ) - 5 );        

      $atts['class'] = 'icon-li';
      unset( $atts['id']  ); 

      $icon = intense_run_shortcode( 'intense_icon', $atts );      
      $output .= do_shortcode( str_replace('<li>', '<li class="intense icons-li-0x"> ' . $icon, $content ) );
    }

    $output .="</ul>";

    return $output;
  }
}
