<?php

class Intense_If extends Intense_Shortcode {

	function __construct() {
		parent::__construct();

		$this->title = __( 'If', 'intense' );
		$this->description = __( 'Use the "if" shortcode to hide or show elements on a page depending on what page/post you are currently viewing. This shortcode is especially useful within snippets and templates.', 'intense' );
		$this->category = __( 'Elements', 'intense' );
        $this->show_preview = false;
        $this->vc_map_content = 'textfield'; 
        $this->is_container = true;
	}

	function shortcode( $atts, $content = null ) {
		extract( shortcode_atts( $this->get_shortcode_defaults( null, $atts ), $atts ) );

        global $wp_query;
        $post = $wp_query->post->ID;
        $output = '';
        $postids = explode( ',', $postid );

        if ( $selector == 'equal' && in_array( $post, $postids ) ) {
            $output = do_shortcode( $content );
            $isequal = true;
        }

        if ( $selector == 'not' && !in_array( $post, $postids ) ) {
            $output = do_shortcode( $content );
        }

		return $output;
	}
}
