<?php

$this->fields = array(
	'menu_tab' => array(
		'type' => 'tab',
		'title' => __( 'General', 'intense' ),
		'fields' =>  array(
			'id' => array(
				'type' => 'text',
				'title' => __( 'ID', 'intense' ),
				'description' => __( 'optional - used to set the client-side ID', 'intense' ),
				'skinnable' => false
			),
			'type' => array(
				'type' => 'dropdown',
				'title' => __( 'Type', 'intense' ),
				'options' => array(
					'vertical' => __( 'Vertical', 'intense' ),
					'horizontal' => __( 'Horizontal', 'intense' ),
					'vertical_dropdown' => __( 'Vertical Dropdown', 'intense' ),
				)
			),
			'mode' => array(
				'type' => 'dropdown',
				'title' => __( 'Mode', 'intense' ),
				'options' => array(
					'mobile_responsive' => __( 'Mobile Responsive', 'intense' ),
					'mobile_only' => __( 'Mobile Only', 'intense' ),					
					'desktop_only' => __( 'Desktop Only', 'intense' )
				),
				'class' => 'horizontalsettings'
			),
			'mobile_responsive' => array( 'type' => 'deprecated', 'description' => 'use mode instead' ),
			'mobile_bar_color' => array(
				'type' => 'color_advanced',
				'title' => __( 'Mobile Bar Color', 'intense' ),
				'class' => 'mobilesettings'
			),
			'mobile_dropdown_color' => array(
				'type' => 'color_advanced',
				'title' => __( 'Mobile Dropdown Color', 'intense' ),
				'class' => 'mobilesettings'
			),
			'mobile_font_color' => array(
				'type' => 'color_advanced',
				'title' => __( 'Mobile Font Color', 'intense' ),
				'class' => 'mobilesettings'
			),
			'mobile_button_color' => array(
				'type' => 'color_advanced',
				'title' => __( 'Mobile Button Color', 'intense' ),
				'class' => 'mobilesettings'
			),
			'name' => array(
				'type' => 'dropdown',
				'title' => __( 'Name', 'intense' ),
				'options' => Intense_Menu::get_menus_option_array()
			),
			'dropdown_title' => array(
				'type' => 'text',
				'title' => __( 'Dropdown Title', 'intense' ),
				'description' => __( 'this text will show in the dropdown, used to explain what to do.', 'intense' ),
				'class' => 'dropdownsettings'
			),	
			'theme_location' => array(
				'type' => 'text',
				'title' => __( 'Theme Location', 'intense' ),
				'description' => __( 'used during theme development and customization. Use the key, not the description, of the location.', 'intense' ),
			),											
			'class' => array(
				'type' => 'text',
				'title' => __( 'CSS Class', 'intense' ),
			),
		)
	),
	'top_level_tab' => array(
		'type' => 'tab',
		'title' => __( 'Top Level', 'intense' ),
		'fields' =>  array(
			'top_background_color' => array(
				'type' => 'color_advanced',
				'title' => __( 'Background Color', 'intense' ),
			),
			'top_font_color' => array(
				'type' => 'color_advanced',
				'title' => __( 'Font Color', 'intense' ),
			),
			'top_hover_background_color' => array(
				'type' => 'color_advanced',
				'title' => __( 'Hover Background Color', 'intense' ),
			),
			'top_hover_font_color' => array(
				'type' => 'color_advanced',
				'title' => __( 'Hover Font Color', 'intense' ),
			),
			'top_active_background_color' => array(
				'type' => 'color_advanced',
				'title' => __( 'Active Background Color', 'intense' ),
			),
			'top_active_font_color' => array(
				'type' => 'color_advanced',
				'title' => __( 'Active Font Color', 'intense' ),
			),
			'top_active_hover_background_color' => array(
				'type' => 'color_advanced',
				'title' => __( 'Active Hover Background Color', 'intense' ),
			),
			'top_active_hover_font_color' => array(
				'type' => 'color_advanced',
				'title' => __( 'Active Hover Font Color', 'intense' ),
			),
			'top_border_radius' => array(
				'type' => 'border_radius',
				'title' => __( 'Border Radius', 'intense' ),
			),
		)
	),
	'secondary_level_tab' => array(
		'type' => 'tab',
		'title' => __( 'Secondary Level', 'intense' ),
		'fields' =>  array(
			'background_color' => array(
				'type' => 'color_advanced',
				'title' => __( 'Background Color', 'intense' ),
			),
			'font_color' => array(
				'type' => 'color_advanced',
				'title' => __( 'Font Color', 'intense' ),
			),
			'hover_background_color' => array(
				'type' => 'color_advanced',
				'title' => __( 'Hover Background Color', 'intense' ),
			),
			'hover_font_color' => array(
				'type' => 'color_advanced',
				'title' => __( 'Hover Font Color', 'intense' ),
			),
			'secondary_level_border' => array(
				'type' => 'border',
				'title' => __( 'Border', 'intense' ),
			),
			'secondary_level_border_radius' => array(
				'type' => 'border_radius',
				'title' => __( 'Border Radius', 'intense' ),
			),
		)
	),
	'icon_tab' => array(
		'type' => 'tab',
		'title' => __( 'Icons', 'intense' ),
		'fields' =>  array(
			'icon_before_source' => array(
				'type' => 'icon_source',
				'title' => __( 'Icon Before Source', 'intense' ),
				'default' => 'font-awesome'
			),
			'icon_before' => array(
				'type' => 'icon',
				'title' => __( 'Icon Before', 'intense' ),
			),
			'icon_before_parents_only' => array(
				'type' => 'checkbox',
				'title' => __( 'Icon Before Parents Only', 'intense' ),
				'description' => __( 'show the \'icon before\' only if menu item is a parent', 'intense' ),
				'default' => 1
			),
			'icon_after_source' => array(
				'type' => 'icon_source',
				'title' => __( 'Icon After Source', 'intense' ),
				'default' => 'font-awesome'
			),
			'icon_after' => array(
				'type' => 'icon',
				'title' => __( 'Icon After', 'intense' ),
				'default' => 'angle-right'
			),
			'icon_after_parents_only' => array(
				'type' => 'checkbox',
				'title' => __( 'Icon After Parents Only', 'intense' ),
				'description' => __( 'show the \'icon after\' only if menu item is a parent', 'intense' ),
				'default' => 1
			),
		)
	),
	'borders_tab' => array(
		'type' => 'tab',
		'title' => __( 'Borders', 'intense' ),
		'fields' =>  array(
			'border' => array(
				'type' => 'border',
				'title' => __( 'All Borders', 'intense' ),
			),
			'border_top' => array(
				'type' => 'border',
				'title' => __( 'Top Border', 'intense' ),
			),
			'border_right' => array(
				'type' => 'border',
				'title' => __( 'Right Border', 'intense' ),
			),
			'border_bottom' => array(
				'type' => 'border',
				'title' => __( 'Bottom Border', 'intense' ),
			),
			'border_left' => array(
				'type' => 'border',
				'title' => __( 'Left Border', 'intense' ),
			),
			'border_radius' => array(
				'type' => 'border_radius',
				'title' => __( 'Border Radius', 'intense' ),
			),
			'hover_border' => array(
				'type' => 'border',
				'title' => __( 'All Hover Borders', 'intense' ),
			),
			'hover_border_top' => array(
				'type' => 'border',
				'title' => __( 'Top Hover Border', 'intense' ),
			),
			'hover_border_right' => array(
				'type' => 'border',
				'title' => __( 'Right Hover Border', 'intense' ),
			),
			'hover_border_bottom' => array(
				'type' => 'border',
				'title' => __( 'Bottom Hover Border', 'intense' ),
			),
			'hover_border_left' => array(
				'type' => 'border',
				'title' => __( 'Left Hover Border', 'intense' ),
			),
			'hover_border_radius' => array(
				'type' => 'border_radius',
				'title' => __( 'Border Hover Radius', 'intense' ),
			),
		)
	),
	'layout_tab' => array(
		'type' => 'tab',
		'title' => __( 'Item Layout', 'intense' ),
		'fields' =>  array(
			'padding_top' => array(
				'type' => 'text',
				'title' => __( 'Padding Top', 'intense' ),
			),
			'padding_bottom' => array(
				'type' => 'text',
				'title' => __( 'Padding Bottom', 'intense' ),
			),
			'padding_left' => array(
				'type' => 'text',
				'title' => __( 'Padding Left', 'intense' ),
			),
			'padding_right' => array(
				'type' => 'text',
				'title' => __( 'Padding Right', 'intense' ),
			),

			'margin_top' => array(
				'type' => 'text',
				'title' => __( 'Margin Top', 'intense' ),
			),
			'margin_bottom' => array(
				'type' => 'text',
				'title' => __( 'Margin Bottom', 'intense' ),
			),
			'margin_left' => array(
				'type' => 'text',
				'title' => __( 'Margin Left', 'intense' ),
			),
			'margin_right' => array(
				'type' => 'text',
				'title' => __( 'Margin Right', 'intense' ),
			),
		)
	),
);
