<?php

class Intense_Sticky extends Intense_Shortcode {

    function __construct() {
        parent::__construct();

        $this->title = __( 'Sticky', 'intense' );
        $this->description = __( 'Sticks within a parent element while the window scrolls.', 'intense' );
        $this->category = __( 'Layout', 'intense' );
        $this->show_preview = true;
        $this->preview_content = __( "Sticky Content", 'intense' );
        $this->is_container = true;
    }

    function shortcode( $atts, $content = null ) {
        extract( shortcode_atts( $this->get_shortcode_defaults( null, $atts ), $atts ) );

        $sticky_attributes = intense_get_sticky_attributes( true, $parent, $offset, $zindex );

        $id = ( !empty ( $id ) ) ? ' id="' . esc_attr( $id ) . '"' : '';

        return "<div" . $id . $sticky_attributes . " class='intense sticky" . ( !empty( $class ) ? ' ' . esc_attr( $class ) : '' ) . "'>" . do_shortcode( $content ) . "</div>";
    }

}
