<?php

class Intense_Template extends Intense_Shortcode {

	function __construct() {
        parent::__construct();

		$this->title = __( 'Template', 'intense' );
		$this->description = __( 'Use the template shortcode to add the content of a file template to the post or page. 
			The file template, along with the template shortode, are a perfect way to add dynamic content. 
			They are also a powerful way to reuse content across your WordPress website. 
			All attributes added to the template will be passed through to the template file. They can be retrieved by calling the Intense_Template::get_metadata() function.', 'intense' );
		$this->category = __( 'Elements', 'intense' );
		$this->show_preview = true;		
	}

	public static function get_metadata() {
		global $intense_template;

		return $intense_template;
	}

	function shortcode( $atts, $content = null ) {
		global $intense_template;

		extract( shortcode_atts( $this->get_shortcode_defaults( null, $atts ), $atts ) );

		$intense_template = $atts;

		return intense_get_template( array(
			'/template/' . $template . '.php',
			'/template/blank.php'
		) );
	}
}
