<?php

class Intense_WPML_Language extends Intense_Shortcode {

	function __construct() {
        parent::__construct();

		$this->title = __( 'WPML Language', 'intense' );
		$this->description = __( 'Show different content depending on the WPML language that is selected.', 'intense' );
		$this->category = __( 'Typography', 'intense' );
		$this->show_preview = true;
		$this->preview_content = __( "Content", 'intense' );
		$this->vc_map_content = 'textfield';				
	}

	function shortcode( $atts, $content = null ) {
		
		extract( shortcode_atts( $this->get_shortcode_defaults( null, $atts ), $atts ) );

		if ( function_exists('icl_object_id') ) {
		    $current_language = ICL_LANGUAGE_CODE;
		} else {
			$current_language = '';
		}
	     
	    if ( $current_language == $language ) {
	        $output = do_shortcode( $content );
	    } else {
	        $output = "";
	    }

		return $output;
	}
}
