<?php
/*
Intense Template Name: Four Columns Slide Effect (text)
*/

$post = get_post(); 
$intense_custom_post = Intense_Custom_Post::get_metadata();

$intense_custom_post['show_meta'] = 0;
$intense_custom_post['template_link_url'] = '';

$inline = ( is_sticky() && 'inline' == $intense_custom_post['sticky_mode'] );

if ( $inline ) {
	$span = "12";
	$size = "postWide";
	$header_tag = "h2";
} else {
	$span = "3";
	$size = ( isset( $intense_custom_post['image_size'] ) ? $intense_custom_post['image_size'] : 'square400' );
	$header_tag = "h3";
}

$padding_bottom = Intense()->options['intense_layout_row_default_padding']['padding-top'];
$intense_post_type = $intense_custom_post['post_type'];
$hover_color = intense_get_plugin_color( 'primary' );
$rand = rand();
$member_photo = get_field( 'intense_member_photo' );
$member_title = get_field( 'intense_member_title' );
$member_photo_url = $member_photo[url];
$member_desc = get_the_content();

if ( !empty( $member_photo_url ) ) {
	$image_url = $member_photo_url;
} else {
	$image_url = Intense()->options['intense_missing_image']['url'];
}

Intense()->add_dynamic_css( 'intense_team_three_slider', "
	div.team_hover {
		background:transparent;
	}

	.team_member_name {
		font-size:16px;
		color: #fff;
		line-height: 20px;
		font-weight: 300;
		text-transform: uppercase;
		width:100%;
		height:65px;
		background: rgba(0,0,0,0.5); /* For browsers that do not support gradients */
		background: -webkit-linear-gradient(rgba(0,0,0,0), rgba(0,0,0,0.8)); /* For Safari 5.1 to 6.0 */
		background: -o-linear-gradient(rgba(0,0,0,0), rgba(0,0,0,0.8)); /* For Opera 11.1 to 12.0 */
		background: -moz-linear-gradient(rgba(0,0,0,0), rgba(0,0,0,0.8)); /* For Firefox 3.6 to 15 */
		background: linear-gradient(rgba(0,0,0,0), rgba(0,0,0,0.8)); /* Standard syntax */
	    -webkit-transition: all 600ms ease; /* Safari and Chrome */
	    -moz-transition: all 600ms ease; /* Firefox */
	    -o-transition: all 600ms ease; /* IE 9 */
	    -ms-transition: all 600ms ease; /* Opera */
	    transition: all 600ms ease;
	}

	.team_member_name strong {
		letter-spacing:2px;
		font-size:18px;
		color: #fff;
		line-height: 22px;
		font-weight: 600;
	}

	div.team_hover:hover .team_member_name {
		height: 100%;
		background: rgba(0,0,0,0.5); /* For browsers that do not support gradients */
		background: -webkit-linear-gradient(rgba(0,0,0,0.0), rgba(0,0,0,0.65) 10%); /* For Safari 5.1 to 6.0 */
		background: -o-linear-gradient(rgba(0,0,0,0.0), rgba(0,0,0,0.65) 10%); /* For Opera 11.1 to 12.0 */
		background: -moz-linear-gradient(rgba(0,0,0,0.0), rgba(0,0,0,0.65) 10%); /* For Firefox 3.6 to 15 */
		background: linear-gradient(rgba(0,0,0,0.0), rgba(0,0,0,0.65) 10%); /* Standard syntax */
	}

	div.team_hover .team_member_name p.team_member_desc {
		height: 0;
		opacity: 0;
		margin: 0;
		overflow: hidden;
		font-size:15px;
		text-transform: initial;
	    -webkit-transition: all 600ms ease; /* Safari and Chrome */
	    -moz-transition: all 600ms ease; /* Firefox */
	    -o-transition: all 600ms ease; /* IE 9 */
	    -ms-transition: all 600ms ease; /* Opera */
	    transition: all 600ms ease;
	}
	div.team_hover:hover .team_member_name p.team_member_desc {
		height: 100%;
		opacity: 1;
		margin: 10px 0 0;
	}
");
?>
<div class='intense col-lg-<?php echo esc_attr( $span ); ?> col-md-<?php echo esc_attr( $span ); ?> col-sm-6 col-xs-12  <?php echo esc_attr( $intense_custom_post['post_classes'] ); ?> intense_post nogutter' style='margin-left: 0px; padding: 0 8px; padding-bottom: <?php echo esc_attr( $padding_bottom ); ?>; display:inline-block; vertical-align: top;'>
	<article id='post-<?php echo $rand; ?>' class='<?php echo ( esc_attr( $inline ) ?  'featured ' : '' ); ?>' >
		<div class="team_hover">
			<?php 
				echo $intense_custom_post['animation_wrapper_start'];
				$title = '<div style="position:absolute; bottom:0px; left:0px; padding: 10px;" class="team_member_name"><strong>' . the_title_attribute( 'echo=0' ) . '</strong><br>' . $member_title . '<p class="team_member_desc">' . $member_desc . '<br>' . intense_get_template( '/custom-post/shared/post_social_icons.php' ) . '</p></div>';

				echo '<div class="team_image_bkg" style="width:100%; height:350px; max-height:350px; background-image:url(' . $image_url . '); background-size:cover; background-position:50% 50%; position:relative; z-index:0;">' . $title . '</div>';

				echo $intense_custom_post['animation_wrapper_end'];
			?>
		</div>
	</article>
</div>
