<?php
/*
Intense Template Name: Three Columns Hover Effect (text)
*/

$post = get_post(); 
$intense_custom_post = Intense_Custom_Post::get_metadata();

$intense_custom_post['show_meta'] = 0;
$intense_custom_post['template_link_url'] = '';

$inline = ( is_sticky() && 'inline' == $intense_custom_post['sticky_mode'] );

if ( $inline ) {
	$span = "12";
	$size = "postWide";
	$header_tag = "h2";
} else {
	$span = "4";
	$size = ( isset( $intense_custom_post['image_size'] ) ? $intense_custom_post['image_size'] : 'square400' );
	$header_tag = "h3";
}

$padding_bottom = Intense()->options['intense_layout_row_default_padding']['padding-top'];
$intense_post_type = $intense_custom_post['post_type'];
$hover_color = intense_get_plugin_color( 'primary' );
$rand = rand();

Intense()->add_dynamic_css( 'intense_team_hover', "
	article div.team_hover {
		border: 1px solid #d9d9d9;
		color:#1e1e1e;
		background:#fff;
	    -webkit-transition: all 700ms ease; /* Safari and Chrome */
	    -moz-transition: all 700ms ease; /* Firefox */
	    -o-transition: all 700ms ease; /* IE 9 */
	    -ms-transition: all 700ms ease; /* Opera */
	    transition: all 700ms ease;
	}

	article div.team_hover h2, article div.team_hover h3, article div.team_hover h4 {
		color:#1e1e1e;
	    -webkit-transition: all 700ms ease; /* Safari and Chrome */
	    -moz-transition: all 700ms ease; /* Firefox */
	    -o-transition: all 700ms ease; /* IE 9 */
	    -ms-transition: all 700ms ease; /* Opera */
	    transition: all 700ms ease;
	}
");

$script = '<script>
	jQuery(document).ready(function() {
		$ = jQuery;
		$("#post-' . $rand . ' .team_hover").hover(function(){
		    $(this).css("background-color", "#1e1e1e");
		    $("#post-' . $rand . ' .team_hover .social-link .icon .filled").css("fill", "' . $hover_color . '");
		    $("#post-' . $rand . ' .team_hover h3").css("color", "#d9d9d9");
		    $("#post-' . $rand . ' .team_hover h4").css("color", "#d9d9d9");
		    }, function(){
		    $(this).css("background-color", "#fff");
		    $("#post-' . $rand . ' .team_hover .social-link .icon .filled").css("fill", "#d9d9d9");
		    $("#post-' . $rand . ' .team_hover h3").css("color", "#1e1e1e");
		    $("#post-' . $rand . ' .team_hover h4").css("color", "#1e1e1e");
		});
	});
	</script>';
?>
<div class='intense col-lg-<?php echo esc_attr( $span ); ?> col-md-<?php echo esc_attr( $span ); ?> col-sm-6 col-xs-12  <?php echo esc_attr( $intense_custom_post['post_classes'] ); ?> intense_post nogutter' style='margin-left: 0px; padding: 0 8px; padding-bottom: <?php echo esc_attr( $padding_bottom ); ?>; display:inline-block; vertical-align: top;'>
	<article id='post-<?php echo $rand; ?>' class='<?php echo ( esc_attr( $inline ) ?  'featured ' : '' ); ?>' >
		<div class="team_hover" style="padding:10px; text-align:center;">
			<?php 
				echo $intense_custom_post['animation_wrapper_start'];
				echo intense_get_template( '/custom-post/shared/post_media.php', array( 'size' => $size ) );
				echo '<h3 class="hover_effect_title" style="margin: 10px 0 5px;">' . get_the_title() . '</h3>';
				echo intense_get_template( '/custom-post/intense_team/shared/member_title.php' );
				echo intense_get_template( '/custom-post/intense_team/shared/member_phone.php' );
				echo intense_run_shortcode( 'intense_spacer', array( 'height' => '15' ) );
				echo intense_get_template( '/custom-post/shared/post_social_icons.php', array( 'position' => 'center', 'color' => '#d9d9d9', 'size' => '25' ) );
				echo intense_run_shortcode( 'intense_spacer', array( 'height' => '15' ) );
				echo $script;
				echo $intense_custom_post['animation_wrapper_end'];
			?>
		</div>
	</article>
</div>
