<?php
/*
Intense Template Name: Three Columns Hover Scale
*/

$post = get_post(); 
$intense_custom_post = Intense_Custom_Post::get_metadata();

$intense_custom_post['show_meta'] = 0;
$intense_custom_post['template_link_url'] = '';

$inline = ( is_sticky() && 'inline' == $intense_custom_post['sticky_mode'] );

if ( $inline ) {
	$span = "12";
	$size = "postWide";
	$header_tag = "h2";
} else {
	$span = "4";
	$size = ( isset( $intense_custom_post['image_size'] ) ? $intense_custom_post['image_size'] : 'square400' );
	$header_tag = "h3";
}

$padding_bottom = Intense()->options['intense_layout_row_default_padding']['padding-top'];
$intense_post_type = $intense_custom_post['post_type'];
$rand = rand();
$member_photo = get_field( 'intense_member_photo' );
$member_title = get_field( 'intense_member_title' );
$member_photo_url = $member_photo[url];
$member_photo_id = $member_photo[id];

if ( !empty( $member_photo_url ) ) {
	$image_url = $member_photo_id;
} else {
	$image_url = Intense()->options['intense_missing_image']['url'];
}

Intense()->add_dynamic_css( 'intense_team_three_scale', "
	.team-3-col {
	    float: left;
	    display: block;
	    margin-right: 2.35765%;
	    width: 31.23176%;
	    min-height: 1px;
	}
	article.team-member {
		position: relative;
	    height: calc((90vw / 3) * 1.2);
	    max-height: 475px;
	}
	article.team-member.hover-scale {
	    overflow: hidden;
	}
	article.team-member img {
	    min-width: 100%;
	    max-width: 100%;
	    -webkit-transition: .5s !important;
	    transition: .5s !important;
	}
	article.team-member.hover-scale img {
	    -webkit-transition: 5s;
	    transition: 5s;
	    position: absolute;
	    top: 50%;
	    left: 50%;
	    -webkit-transform: translateY(-50%) translateX(-50%);
	    transform: translateY(-50%) translateX(-50%);
	}
	article.team-member.hover-scale:hover img {
		-webkit-transform: translateY(-50%) translateX(-50%) scale(1.05) !important;
		transform: translateY(-50%) translateX(-50%) scale(1.05) !important;
	}
	article.team-member .info {
	    width: 100%;
	    color: #fff;
	    padding: 10px;
	    font-size: .9em;
	    background: -webkit-linear-gradient(top, transparent 0%, rgba(0,0,0,0.5) 51%, rgba(0,0,0,0.8) 100%);
	    background: linear-gradient(to bottom, transparent 0%, rgba(0,0,0,0.5) 51%, rgba(0,0,0,0.8) 100%);
	    filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#00000000', endColorstr='#cc000000',GradientType=0 );
	    position: absolute;
	    bottom: 0;
	    left: 0;
	}
	article.team-member .info p.member-name {
		margin-bottom: 5px;
		-webkit-font-smoothing: antialiased;
		font-size: 1.2em;
		line-height: 1em;
		letter-spacing: 1px;
		text-transform: uppercase;
		font-weight: 900;
		padding: 0;
		margin: 0;
	}
	article.team-member .info p.member-title {
		font-size: .9em;
		text-transform: uppercase;
		padding: 0;
		margin: 0;
	}
");

Intense()->add_dynamic_js( 'intense_team_four_scale_js', "
	(function($) {
		$(document).ready(function () {
		    updateContainer();
		    $(window).resize(function() {
		        updateContainer();
		    });
		});
		function updateContainer() {
		    var containerWidth = $('.team-member.hover-scale.team-3-col').parent().parent().width();
		    console.log(containerWidth);
		    if ( containerWidth > 940 ) {
		        $('.team-member.hover-scale.team-3-col').parent().css({
		            width: '100%',
		            margin: '0 auto'
		        });
		        $('.team-member.hover-scale.team-3-col').css({
		            width: '31.23176%',
		            float: 'left',
		            marginBottom: '25px',
		            marginRight: '2.35765%',
		            height: 'calc((90vw / 3) * 1.2)',
		            maxHeight: '475px'
		        });
		        $('.team-member.hover-scale.team-3-col:nth-child(3)').css({
		            marginRight: '0'
		        });
		    }
		    if ( containerWidth > 600 && containerWidth <= 940 ) {
		        $('.team-member.hover-scale.team-3-col').parent().css({
		            width: '600px',
		            margin: '0 auto'
		        });
		        $('.team-member.hover-scale.team-3-col').css({
		            width: '47%',
		            float: 'left',
		            marginBottom: '25px',
		            marginRight: '2.35765%',
		            height: 'calc(600px / 2 * 1.2)'
		        });
		        $('.team-member.hover-scale.team-3-col:nth-child(2)').css({
		            marginRight: '0'
		        });
		    }
		    if ( containerWidth <= 600 ) {
		        $('.team-member.hover-scale.team-3-col').parent().css({
		            width: '300px',
		            margin: '0 auto'
		        });
		        $('.team-member.hover-scale.team-3-col').css({
		            width: '100%',
		            float: 'none',
		            marginBottom: '10px',
		            marginRight: '0',
		            height: 'calc(400px * 1.2)'
		        });
		    }
		}
	})(jQuery);
");

$team_member_image = '[intense_lightbox type="magnificpopup" content_type="html" html_element="team_member_' . $rand . '"]';
$team_member_image .= '[intense_image image="' . $image_url . '" size="full" title="' . the_title_attribute( 'echo=0' ) . '"]';
$team_member_image .= '[/intense_lightbox]';

$lightbox_content .= '[intense_row padding_top="0" padding_bottom="5"][intense_column size="12" medium_size="12" small_size="12" extra_small_size="12"]';
$lightbox_content .= '<div class="pull-left" style="padding:0 20px 10px 0; display:inline-block; max-width:250px;">' . intense_run_shortcode( 'intense_image', array( 'size' => 'full', 'image' => $image_url ) ) . '</div>';
$lightbox_content .= '<div class="pull-right" style="position:absolute; right: 20px;">' . intense_get_template( '/custom-post/shared/post_social_icons.php' ) . '</div>';
$lightbox_content .= "<" .  $header_tag . " class='entry-title' style='margin:10px 0;'>" . the_title_attribute( 'echo=0' ) . "</" . $header_tag . ">";

if ( !empty( get_field( 'intense_member_title' ) ) ) {
	$lightbox_content .= '<h5 style="margin:5px 0;">' . get_field( 'intense_member_title' ) . '</h5>';
}

$lightbox_content .= intense_template_content( 'intense_team', 'full_post', '', 100 );
$lightbox_content .= '[/intense_column]';
$lightbox_content .= '[/intense_row]';

$team_member_bio = '<div id="team_member_' . $rand . '" style="width:800px; padding:30px 15px; background-color:#fff; background-color: rgba(255,255,255,0.8); margin:0 auto;">' . $lightbox_content . '</div>';
?>
	<article id='post-<?php echo $rand; ?>' class='team-member hover-scale team-3-col' >
		<?php 
			echo do_shortcode( $team_member_image );
			echo '<div class="info">';
			echo '<p class="member-name">' . the_title_attribute( 'echo=0' ) . '</p>';
			echo '<p class="member-title">' . $member_title . '</p>';
			echo '</div>';
			echo do_shortcode( $team_member_bio );
		?>
	</article>


