<?php
/*
Intense Template Name: Three Columns (text hover)
*/

$post = get_post(); 
$intense_custom_post = Intense_Custom_Post::get_metadata();

$inline = ( is_sticky() && 'inline' == $intense_custom_post['sticky_mode'] );

if ( $inline ) {
	$span = "12";
	$size = "postWide";
} else {
	$span = "4";
	$size = ( isset( $intense_custom_post['image_size'] ) ? $intense_custom_post['image_size'] : 'square400' );
}

$intense_post_type = $intense_custom_post['post_type'];
$gutter = ( isset( $intense_custom_post['show_gutter'] ) && $intense_custom_post['show_gutter'] ? 'gutter' : 'nogutter' );

Intense()->add_dynamic_css('intense_three_text_hover', "
	.intense.post.three_post_hover .intense.image {
	    -webkit-transition: all 1s ease; /* Safari and Chrome */
	    -moz-transition: all 1s ease; /* Firefox */
	    -o-transition: all 1s ease; /* IE 9 */
	    -ms-transition: all 1s ease; /* Opera */
	    transition: all 1s ease;
	}

	.intense.post.three_post_hover:hover .intense.image {
	    -webkit-transform:scale(1.1); /* Safari and Chrome */
	    -moz-transform:scale(1.1); /* Firefox */
	    -ms-transform:scale(1.1); /* IE 9 */
	    -o-transform:scale(1.1); /* Opera */
	     transform:scale(1.1);
	}

	.intense.post.three_post_hover .three_text_show_meta {
	    opacity: 0; 
	    max-height: 0;
	    overflow: hidden;
	    -webkit-transition: all 1s ease; /* Safari and Chrome */
	    -moz-transition: all 1s ease; /* Firefox */
	    -o-transition: all 1s ease; /* IE 9 */
	    -ms-transition: all 1s ease; /* Opera */
	    transition: all 1s ease;
	    padding: 0 22px;
	}

	.intense.post.three_post_hover:hover .three_text_show_meta {
		opacity: 1;
    	max-height: 200px;
	}

	.intense.post.three_post_hover .three_text_overlay_bkg {
	    background-color:rgba(0,0,0,0);
	    -webkit-transition: all 1s ease; /* Safari and Chrome */
	    -moz-transition: all 1s ease; /* Firefox */
	    -o-transition: all 1s ease; /* IE 9 */
	    -ms-transition: all 1s ease; /* Opera */
	    transition: all 1s ease;
	}

	.intense.post.three_post_hover:hover .three_text_overlay_bkg {
	    -webkit-transform:scale(1.1); /* Safari and Chrome */
	    -moz-transform:scale(1.1); /* Firefox */
	    -ms-transform:scale(1.1); /* IE 9 */
	    -o-transform:scale(1.1); /* Opera */
	     transform:scale(1.1);
	     background-color:rgba(0,0,0,0.4);
	}

	.entry-date {
		color: #d0cbc7;
	}

	.intense.post.three_post_hover div.image {
		margin: 0;
	}

	.three_text_show_meta p {
		color:#fff;
		font-size: 15px;
    	font-weight: 300;
	}

	.three_text_show_meta .intense.metadata.entry-meta, .three_text_show_meta .intense.metadata.entry-meta a, .three_text_show_meta .intense.metadata.entry-meta .entry-date {
		color: #fff;
		text-decoration: none;
	}

	.three_text_show_meta .intense.metadata.entry-meta span.author vcard .intense.icon use {
		fill: rgb(255, 255, 255) !important;
	}

	.read-more a {
		color: #fff !important;
		text-transform: uppercase !important;
		font-size:16px !important;
		font-weight:500 !important;
	}
");
?>
<div class='intense col-lg-<?php echo esc_attr( $span ); ?> col-md-<?php echo esc_attr( $span ); ?> col-sm-12 col-xs-12 <?php echo esc_attr( $intense_custom_post['post_classes'] ); ?> intense_post three_post_hover <?php echo $gutter; ?>' style='display:inline-block; vertical-align:top; overflow:hidden;'>
	<?php echo $intense_custom_post['animation_wrapper_start']; ?>
	<article id='post-<?php echo $post->ID; ?>' class='<?php echo ( esc_attr( $inline ) ?  'featured ' : '' ); ?>'>

		<?php echo intense_get_template( '/custom-post/shared/post_media.php', array( 'size' => $size, 'custom_post_image_field' => ( isset( $custom_post_image_field ) ? $custom_post_image_field : null ) ) ); ?>
		<div class="three_text_overlay" style="text-align:center; position:absolute; top:0; bottom:0; right:0; left:0; display: flex; z-index:10;">
			<div style="margin:auto;">
				<h3 style="color:#fff; font-weight:bold; font-size:20px; margin-bottom:5px; text-transform:uppercase; line-height: 25px;"><?php the_title(); ?></h3>

				<div class="three_text_show_meta">
					<?php 

					echo intense_get_template( '/custom-post/shared/post_metadata.php' );

					echo intense_template_content( $intense_post_type, $intense_custom_post['template_content'], $intense_custom_post['template_content_length'], 20 );

					if ( empty( $position ) ) $position = 'center';

					if ( $intense_custom_post['show_read_more'] ) { ?>
						<span class="read-more pull-<?php echo esc_attr( $position ); ?>">
							<?php 
							echo intense_run_shortcode( 'intense_button', array( 
								'size' => 'mini', 
								'color' => 'rgba(0, 0, 0, 0)', 
								'hover_color' => 'rgba(0, 0, 0, 0)', 
								'font_color' => '#fff',
								'font_size' => '17',
								'text_transform' => 'uppercase',
								'border' => '0px solid #ffffff',
								'border_radius' => '0px',
								'padding_top' => '0',
								'padding_bottom' => '0',
								'padding_left' => '0',
								'padding_right' => '0',
								'link' => esc_url( $intense_custom_post['template_link_url'] ) ), $intense_custom_post['read_more_text'] 
							); 
							?>			
						</span>
						<?php if ( $position == 'right' ): ?>
						<div class="clearfix"></div>
						<?php endif; ?>
					<?php
					}
					?>
				</div>
			</div>
		</div>
		<div class="three_text_overlay_bkg" style="position:absolute; top:0; bottom:0; right:0; left:0; display: flex; z-index:1;">
		</div>
	</article>
	<?php echo $intense_custom_post['animation_wrapper_end']; ?>
</div>