<?php
/*
Intense Template Name: Three Columns Hover Effect (text)
*/

$post = get_post(); 
$intense_custom_post = Intense_Custom_Post::get_metadata();

$inline = ( is_sticky() && 'inline' == $intense_custom_post['sticky_mode'] );

if ( $inline ) {
	$span = "12";
	$size = "postWide";
} else {
	$span = "4";
	$size = ( isset( $intense_custom_post['image_size'] ) ? $intense_custom_post['image_size'] : 'square400' );
}

$padding_bottom = Intense()->options['intense_layout_row_default_padding']['padding-top'];
$intense_post_type = $intense_custom_post['post_type'];
$hover_color = intense_get_plugin_color( 'primary' );
$rand = rand();

Intense()->add_dynamic_css( 'intense_post_hover', "
	article div.post_hover {
		border: 1px solid #d9d9d9;
		color: #1e1e1e;
		background: #fff;
	    -webkit-transition: all 700ms ease; /* Safari and Chrome */
	    -moz-transition: all 700ms ease; /* Firefox */
	    -o-transition: all 700ms ease; /* IE 9 */
	    -ms-transition: all 700ms ease; /* Opera */
	    transition: all 700ms ease;
	}

	article div.post_hover h2, article div.post_hover h3, article div.post_hover h4, article div.post_hover p, article div.post_hover .intense.metadata, article div.post_hover .intense.metadata .icon use, #btn-" . $rand . " {
		color: #1e1e1e;
	    -webkit-transition: all 700ms ease; /* Safari and Chrome */
	    -moz-transition: all 700ms ease; /* Firefox */
	    -o-transition: all 700ms ease; /* IE 9 */
	    -ms-transition: all 700ms ease; /* Opera */
	    transition: all 700ms ease;
	}

	#btn-" . $rand . " {
		background-color: #d9d9d9;
	}
");

$script = '<script>
	jQuery(document).ready(function() {
		$ = jQuery;
		$("#post-' . $rand . ' .post_hover").hover(function(){
		    $(this).css("background-color", "#1e1e1e");
		    $("#post-' . $rand . ' .post_hover h3").css("color", "#d9d9d9");
		    $("#post-' . $rand . ' .post_hover h4").css("color", "#d9d9d9");
		    $("#post-' . $rand . ' .post_hover p").css("color", "#d9d9d9");
		    $("#post-' . $rand . ' .post_hover .intense.metadata").css("color", "#d9d9d9");
		    $("#post-' . $rand . ' .post_hover .intense.metadata .icon use").css("fill", "#d9d9d9");
		    $("#btn-' . $rand . '").css("color", "#ffffff");
		    $("#btn-' . $rand . '").css("background-color", "' . $hover_color . '");
		    }, function(){
		    $(this).css("background-color", "#fff");
		    $("#post-' . $rand . ' .post_hover h3").css("color", "#1e1e1e");
		    $("#post-' . $rand . ' .post_hover h4").css("color", "#1e1e1e");
		    $("#post-' . $rand . ' .post_hover p").css("color", "#1e1e1e");
		    $("#post-' . $rand . ' .post_hover .intense.metadata").css("color", "#1e1e1e");
		    $("#post-' . $rand . ' .post_hover .intense.metadata .icon use").css("fill", "#1e1e1e");
		    $("#btn-' . $rand . '").css("color", "#1e1e1e");
		    $("#btn-' . $rand . '").css("background-color", "#d9d9d9");
		});
	});
	</script>';
?>

<div class='intense col-lg-<?php echo esc_attr( $span ); ?> col-md-<?php echo esc_attr( $span ); ?> col-sm-6 col-xs-12  <?php echo esc_attr( $intense_custom_post['post_classes'] ); ?> intense_post nogutter' style='margin-left: 0px; padding: 0 10px; padding-bottom: <?php echo esc_attr( $padding_bottom ); ?>; display:inline-block; vertical-align: top;'>
	<article id='post-<?php echo $rand; ?>' class='<?php echo ( esc_attr( $inline ) ?  'featured ' : '' ); ?>'>
		<div class="post_hover" style="padding:8px; text-align:center;">
			<?php 
				echo $intense_custom_post['animation_wrapper_start'];
				echo intense_get_template( '/custom-post/shared/post_media.php', array( 'size' => $size ) );

				// Set from other templates (ex. books)
				if ( isset( $after_media_content ) ) echo $after_media_content; 

				echo '<h3 class="hover_effect_title" style="margin: 10px 0 5px;">' . get_the_title() . '</h3>';

				// Set from other templates (ex. team)
				if ( isset( $after_title ) ) echo $after_title; 

				echo intense_get_template( '/custom-post/shared/post_metadata.php' );
				//echo intense_run_shortcode( 'intense_spacer', array( 'height' => '15' ) );
				echo intense_template_content( $intense_post_type, $intense_custom_post['template_content'], $intense_custom_post['template_content_length'], 20 );

				// Set from other templates (ex. team)
				if ( isset( $after_content ) ) echo $after_content; 

				if ( $intense_custom_post['show_read_more'] ) {
					echo '<a id="btn-' . $rand . '" style="color:#1e1e1e; background-color:#d9d9d9; text-transform:uppercase; border-radius:3px;" href="' . esc_url( $intense_custom_post['template_link_url'] ) . '" target="_self" class="intense  btn btn-sm ">' . $intense_custom_post['read_more_text'] . '</a>';
					echo intense_run_shortcode( 'intense_spacer', array( 'height' => '15' ) );
				}

				echo $script;
				echo $intense_custom_post['animation_wrapper_end'];
			?>
		</div>
	</article>
</div>