<?php
/*
Intense Template Name: Navigation
*/

$previous_icon = intense_run_shortcode( 'intense_icon', array( 
	'source' => Intense()->options['intense_previous_icon']['source'], 
	'type' => Intense()->options['intense_previous_icon']['type'] ) 
);
$next_icon = intense_run_shortcode( 'intense_icon', array( 
	'source' => Intense()->options['intense_next_icon']['source'], 
	'type' => Intense()->options['intense_next_icon']['type'] ) 
);
?>
  <nav role="navigation" id="<?php echo esc_attr( $nav_id ); ?>" class="<?php echo $nav_class; ?>">

	<?php if ( is_single() ) :  //single post link ?>
	
	<ul class="pager">
		<?php 
		previous_post_link( 
		    	'<li class="previous">%link</li>', 
		    	'<span class="meta-nav">' . $previous_icon . '</span> ' . esc_html__('Previous', 'intense') 
		);
		?>
		<?php 
		next_post_link( 
			'<li class="next">%link</li>', 
			esc_html__('Next', 'intense') . ' <span class="meta-nav">' .  $next_icon. '</span>' 
		); 
		?>
	</ul>
	
	<?php elseif ( $query->max_num_pages > 1 ) : // navigation links for home, archive, and search pages ?>
        	
        	<div class='intense pagination pagination-right pagination-mini clearfix'>
        		<ul>
        			<?php if ( get_previous_posts_link() ) : ?>
        			<li>
        				<a class='pagination-prev' href="<?php echo get_pagenum_link( $paged - 1 ); ?>">
        					<span class='page-prev'><?php echo $previous_icon; ?></span> <?php echo esc_html__( 'Previous', 'intense' ); ?>
				</a>
			</li>
			<?php endif; ?>

			<?php for ( $i=1; $i <= $query->max_num_pages; $i++ ) { ?>
				<?php if ( 1 != $pages &&( !( $i >= $paged+$range+1 || $i <= $paged-$range-1 ) || (!empty($showitems) && $pages <= $showitems )) ) : ?>
				<li class=' <?php echo ( ( $paged == $i ) ? "active" : "" ); ?>'>
					<a href='<?php echo  get_pagenum_link( $i ); ?>'><?php echo  $i; ?></a>
				</li>
				<?php endif; ?>
			<?php } ?>

			<?php if ( get_next_posts_link() ) : ?>
			<li>
				<a class='pagination-next' href='<?php echo get_pagenum_link( $paged + 1 ); ?>'>
					<?php echo esc_html__( 'Next', 'intense' ); ?> <span class='page-next'><?php echo $next_icon; ?></span>
				</a>
			</li>
			<?php endif; ?>
		</ul>
	</div>

	<?php endif; ?>

  </nav> <!-- #<?php echo esc_html( $nav_id ); ?> -->
